feldspar-compiler-0.4.0.2: Compiler for the Feldspar language

Feldspar.Compiler.Frontend.CommandLine.API.Options

Synopsis

- data FunctionMode
  - = SingleFunction String
  - | MultiFunction
- data Options = Options {
  - optSingleFunction :: FunctionMode
  - optOutputFileName :: Maybe String
  - optCompilerMode :: Options
  }
- startOptions :: Options
- optionDescriptors :: [OptDescr (Options -> IO Options)]
- findPlatformByName :: String -> Maybe Platform
- decodePlatform :: String -> Platform
- parseInt :: String -> String -> Int

# Documentation

data FunctionMode

Constructors

SingleFunction String |
MultiFunction |

data Options

Constructors

Options |
Fields optSingleFunction :: FunctionMode optOutputFileName :: Maybe String optCompilerMode :: Options

startOptions :: Options

Default options

optionDescriptors :: [OptDescr (Options -> IO Options)]

Option descriptions for getOpt

findPlatformByName :: String -> Maybe Platform

decodePlatform :: String -> Platform

parseInt :: String -> String -> Int